#include <iostream>

using namespace std;

int f(int niz[], int n)
{
    int s = 0;
    for(int i = 1; i < n-1; i++) s+=niz[i];
    if(niz[0] > niz[n-1]) return s+niz[0]-niz[n-1];
    else return s-niz[0]+niz[n-1];
}

int main()
{
    int n, k;
    cin >> n >> k;
    int niz[n], napici[k];
    for(int i = 0; i < n; i++)
    {
        cin >> niz[i];
    }
    cout << f(niz, n);
    return 0;
}